OpenVDB: IndexIter< IteratorT, FilterT >::ValueIndexIter Class Reference

OpenVDB 9.0.0

Public Member Functions | List of all members
IndexIter< IteratorT, FilterT >::ValueIndexIter Class Reference

A forward iterator over array indices from a value iterator (such as ValueOnCIter) More...

`#include <openvdb/points/IndexIterator.h>`

## Public Member Functions
| ValueIndexIter (const IteratorT &iter)
| ValueIndexIter (const ValueIndexIter &other)
ValueIndexIter & | operator= (const ValueIndexIter &)=default
Index32 | end () const
void | reset (Index32 item, Index32 end)
Index32 | operator* ()
| Returns the item to which this iterator is currently pointing. More...
Index32 | operator* () const
| operator bool () const
| Return `true` if this iterator is not yet exhausted. More...
bool | test () const
ValueIndexIter & | operator++ ()
| Advance to the next (valid) item (prefix). More...
bool | next ()
| Advance to the next (valid) item. More...
bool | increment ()
Coord | getCoord () const
| Return the coordinates of the item to which the value iterator is pointing. More...
void | getCoord (Coord &xyz) const
| Return in xyz the coordinates of the item to which the value iterator is pointing. More...
bool | isValueOn () const
| Return `true` if this iterator is pointing to an active value. More...
const IteratorT & | valueIter () const
| Return the const value iterator. More...
bool | operator== (const ValueIndexIter &other) const
| Equality operators. More...
bool | operator!= (const ValueIndexIter &other) const

## Detailed Description

template<typename IteratorT, typename FilterT>
class openvdb::v9_0::points::IndexIter< IteratorT, FilterT >::ValueIndexIter

A forward iterator over array indices from a value iterator (such as ValueOnCIter)

## Constructor & Destructor Documentation

## ◆ ValueIndexIter() [1/2]

ValueIndexIter | ( | const IteratorT & | iter | ) |
| inline

## ◆ ValueIndexIter() [2/2]

ValueIndexIter | ( | const ValueIndexIter & | other | ) |
| inline

## Member Function Documentation

## ◆ end()

Index32 end | ( |  | ) | const
| inline

## ◆ getCoord() [1/2]

Coord getCoord | ( |  | ) | const
| inline

Return the coordinates of the item to which the value iterator is pointing.

## ◆ getCoord() [2/2]

void getCoord | ( | Coord & | xyz | ) | const
| inline

Return in xyz the coordinates of the item to which the value iterator is pointing.

## ◆ increment()

bool increment | ( |  | ) |
| inline

## ◆ isValueOn()

bool isValueOn | ( |  | ) | const
| inline

Return `true` if this iterator is pointing to an active value.

## ◆ next()

bool next | ( |  | ) |
| inline

Advance to the next (valid) item.

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

Return `true` if this iterator is not yet exhausted.

## ◆ operator!=()

bool operator!= | ( | const ValueIndexIter & | other | ) | const
| inline

## ◆ operator*() [1/2]

Index32 operator* | ( |  | ) |
| inline

Returns the item to which this iterator is currently pointing.

## ◆ operator*() [2/2]

Index32 operator* | ( |  | ) | const
| inline

## ◆ operator++()

ValueIndexIter & operator++ | ( |  | ) |
| inline

Advance to the next (valid) item (prefix).

## ◆ operator=()

ValueIndexIter & operator= | ( | const ValueIndexIter & |  | ) |
| default

## ◆ operator==()

bool operator== | ( | const ValueIndexIter & | other | ) | const
| inline

Equality operators.

## ◆ reset()

void reset | ( | Index32 | item,
|  | Index32 | end
| ) |  |
| inline

## ◆ test()

bool test | ( |  | ) | const
| inline

## ◆ valueIter()

const IteratorT & valueIter | ( |  | ) | const
| inline

Return the const value iterator.